Subject: bug#70237: Can't build python-pyside-2 5.15.10

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 11 Apr 2024 13:29:56 +0000

Buttons Presser via Bug reports for GNU Guix <[email-masked]> skribis:

> Hi, I still have the same issue with python-pyside-2-5.15.10 (the build log is the same) even though I pulled most fresh guix (commit: 21fad13).
>
> This package also blocks the 'freecad' installation:
>
>     building /gnu/store/...-python-pyside-2-5.15.10.drv...
>     - 'fix-qt-module-detection' phasebuilder for `/gnu/store/...-python-pyside-2-5.15.10.drv' build of /gnu/store/...-python-pyside-2-5.15.10.drv failed
>     View build log at '/var/log/guix/drvs/i0/...-python-pyside-2-5.15.10.drv.gz'.
>     cannot build derivation `/gnu/store/...-freecad-0.21.2.drv': 1 dependencies couldn't be buguix home: error: build of `/gnu/store/...-freecad-0.21.2.drv' failed
>
> I was wandering how long does it take for the above mentioned bug fix to be available on main guix? Or the python-pyside-2 package is still broken?

Hi.
There was another fix for python-pyside-2 in commit
6d0502f9c3608ffd6b3b3c9b603cb5d4ad14d8c9.
So if you do a "guix pull" now, python-pyside-2 shoud build
successfully.